app.password.default=uinjkt

## server app
spring.application.name=aplikasi-eprogress
#spring.profiles=dev
server.port=8004
#debug=true

## konfigurasi thymeleaf
spring.thymeleaf.cache=false
spring.thymeleaf.content-type=text/html
spring.thymeleaf.enabled=true
spring.thymeleaf.encoding=utf-8
spring.thymeleaf.mode=HTML

## Konfigurasi Koneksi Database
spring.datasource.url= jdbc:postgresql://localhost:5432/app_ep
spring.datasource.username=postgres
spring.datasource.password=root
spring.datasource.driver-class-name=org.postgresql.Driver

## Hikari will use the above plus the following to setup connection pooling
spring.datasource.hikari.minimumIdle=5
spring.datasource.hikari.maximumPoolSize=20
spring.datasource.hikari.idleTimeout=30000
spring.datasource.hikari.maxLifetime=2000000
spring.datasource.hikari.connectionTimeout=30000

## Konfigurasi Hibernate
#drop n create table again, good for testing, comment this in production
spring.jpa.generate-ddl=false
spring.jpa.show-sql=false
spring.jpa.properties.hibernate.format_sql=false
#flyway
spring.jpa.hibernate.ddl-auto=validate
#spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
# uncomment this property to see the SQL statements generated
# logging.level.org.hibernate.SQL=DEBUG
spring.jackson.serialization.indent-output=true

## MULTIPART (MultipartProperties)
# Enable multipart uploads
spring.servlet.multipart.enabled=true
# Threshold after which files are written to disk.
spring.servlet.multipart.file-size-threshold=2KB
# Max file size.
spring.servlet.multipart.max-file-size=200MB
# Max Request Size
spring.servlet.multipart.max-request-size=215MB

## LOGGING
logging.level.root=WARN
logging.level.id.ac.uinjkt.eprogress=DEBUG
logging.level.org.springframework.web=INFO
logging.level.org.springframework.security=INFO

# Enable response compression
server.compression.enabled=true
# The comma-separated list of mime types that should be compressed
server.compression.mime-types=text/html,text/xml,text/plain,text/css,text/javascript,application/javascript,application/json
# Compress the response only if the response size is at least 1KB
server.compression.min-response-size=1024
# Enable HTTP/2 support, if the current environment supports it
server.http2.enabled=true

## CONSUL
#spring.cloud.consul.enabled=true
#spring.cloud.consul.host=localhost
#spring.cloud.consul.port=8500

## ACTUATOR
info.app.name=Apilkasi EProgress
info.app.description=Aplikasi Laporan Perkembangan
info.app.version=1.0.0-RELEASE
# disable beans endpoint
management.endpoints.beans.enabled=false  
management.endpoints.web.exposure.include=info,health,prometheus 
management.endpoint.health.show-details=always
